팔로우

웹 상의 Spark Video에서 내 비디오 파일이 지원되지 않는다고 합니다.

이 오류는 업로드하려고 하는 비디오 파일이 현재 웹 상의 Spark Video가 지원하지 않는 포맷으로 되어 있음을 나타냅니다. 웹 상의 Spark Video는 H.264 비디오 코덱과 MP3 또는 AAC 오디오 코덱을 사용하여 인코딩되는 .mp4, .mov 및 .m4v 컨테이너 형식으로 대부분 비디오 파일을 지원합니다. 다른 컨테이너 포맷 또는 코덱은 완전히 지원되지 않습니다. 그러므로 다음 단계는 Spark Video가 인식할 수 있는 포맷으로 비디오 파일을 변환하는 것이며, 다음은 이를 수행하는 방법입니다.

  1. Adobe Media Encoder를 사용합니다.
  2. 또는 미로(Miro)와 같은 무료 툴을 사용하고 “MP4로 변환(Convert to MP4)”을 선택합니다.
  3. 또는 다음과 같이 ffmpeg를 사용합니다.
    1. 첫 단계는 컴퓨터에 사전에 설치되어 있지 않은 경우 ffmpeg를 설치하는 것입니다. 가지고 있는 컴퓨터에 따라 아래 지침을 따르십시오.
      1. Mac
        1. 터미널 앱을 엽니다.
        2. 터미널 창에 다음 명령을 복사하여 Homebrew를 설치합니다.
          1. /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
          2. 과거에 Homebrew를 이미 설치했다면 다음 명령을 터미널에 복사하여 최신 버전인지 확인합니다.
            1. brew update
        3. Install ffmpeg
          1. 터미널에서 다음 명령을 실행합니다.
            1. brew install ffmpeg --with-fdk-aac --with-ffplay --with-freetype --with-frei0r --with-libass --with-libvo-aacenc --with-libvorbis --with-libvpx --with-opencore-amr --with-openjpeg --with-opus --with-rtmpdump --with-schroedinger --with-speex --with-theora --with-tools
        1. ffmpeg 다운로드
        2. 다음 설치 단계를 따릅니다.
      2. Linux
        1. Ubuntu 15.04 이상을 실행하고 있다면 ffmpeg가 이미 설치되어 있어야 합니다. 그렇지 않으면 다음을 시도하십시오.
          1. sudo add-apt-repository ppa:mc3man/trusty-media
            sudo apt-get update
            sudo apt-get dist-upgrade
            sudo apt-get install ffmpeg
    2. ffmpeg를 실행합니다.
      1. Mac이나 Linux 또는 Windows의 Unix 계열 환경(예: Cygwin)에서 작업하고 있는 경우 터미널에서 아래 스크립트를 실행하고 그 안의 단계에 따라 비디오 파일을 변환할 수 있습니다.
        1. bash <(curl -fsSL https://spark.adobe.com/ginger-snap/transcode.txt)
      2. 위의 스크립트가 작동하지 않으면 다음 명령을 실행하여 변환을 수행할 수 있습니다.
        1. ffmpeg -i <path_to_video_file> -acodec aac -vcodec h264 converted.mp4
  4. 비디오 파일을 변환한 후에는 Adobe Spark Video로 돌아가서 중단한 부분부터 계속 진행하십시오. 어떤 문제가 발생하면 의견을 보내 주십시오.
도움이 되었습니까?
147명 중 35명이 도움이 되었다고 했습니다.
또 다른 질문이 있으십니까? 문의 등록